import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';

part 'account.g.dart';

@JsonSerializable()
class Account extends Equatable {
  @JsonKey(name: 'timezone')
  final String timezone;
  @JsonKey(name: 'date_format')
  final String dateFormat;
  @JsonKey(name: 'time_24hr')
  final bool time_24hr;
  @JsonKey(name: 'cover_image')
  final String coverImage;
  @JsonKey(name: 'token')
  final String token;

  Account(
      {this.timezone,
      this.dateFormat,
      this.time_24hr,
      this.coverImage,
      this.token});

  factory Account.fromJson(Map<String, dynamic> json) =>
      _$AccountFromJson(json);

  Map<String, dynamic> toJson() => _$AccountToJson(this);

  @override
  List<Object> get props => [
        this.timezone,
        this.dateFormat,
        this.time_24hr,
        this.coverImage,
        this.token
      ];
}
