import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';
import 'models.dart';

part 'comment_body.g.dart';

@JsonSerializable()
class CommentBody extends Equatable {
  @JsonKey(name: 'movie')
  final TraktMediaItem movie;
  @JsonKey(name: 'show')
  final TraktMediaItem show;
  @JsonKey(name: 'season')
  final TraktMediaItem season;
  @JsonKey(name: 'episode')
  final TraktMediaItem episode;
  @JsonKey(name: 'list')
  final TraktMediaItem list;
  @JsonKey(name: 'comment')
  final String comment;
  @JsonKey(name: 'spoiler')
  final bool spoiler;
  @JsonKey(name: 'sharing')
  final Connections sharing;

  CommentBody(
      {this.movie,
      this.show,
      this.season,
      this.episode,
      this.list,
      @required this.comment,
      this.spoiler,
      this.sharing})
      : assert(movie != null ||
            show != null ||
            season != null ||
            episode != null ||
            list != null);

  factory CommentBody.fromJson(Map<String, dynamic> json) =>
      _$CommentBodyFromJson(json);

  Map<String, dynamic> toJson() => _$CommentBodyToJson(this);

  @override
  List<Object> get props => [
        this.movie,
        this.show,
        this.season,
        this.episode,
        this.list,
        this.comment,
        this.spoiler,
        this.sharing
      ];
}
