import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

part 'get_access_token_from_oauth_body.g.dart';

@JsonSerializable()
class GetAccessTokenFromOauthBody extends Equatable {
  @JsonKey(name: 'code')
  final String code;
  @JsonKey(name: 'client_id')
  final String clientId;
  @JsonKey(name: 'client_secret')
  final String clientSecret;
  @JsonKey(name: 'redirect_uri')
  final String redirectUri;
  @JsonKey(name: 'grant_type')
  final String grantType;

  GetAccessTokenFromOauthBody(
      {@required this.code,
      this.clientId,
      this.clientSecret,
      @required this.redirectUri,
      this.grantType = 'authorization_code'});

  factory GetAccessTokenFromOauthBody.fromJson(Map<String, dynamic> json) =>
      _$GetAccessTokenFromOauthBodyFromJson(json);

  Map<String, dynamic> toJson() => _$GetAccessTokenFromOauthBodyToJson(this);

  @override
  List<Object> get props => [
        this.code,
        this.clientId,
        this.clientSecret,
        this.redirectUri,
        this.grantType
      ];
}
