import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

part 'refresh_access_token_body.g.dart';

@JsonSerializable()
class RefreshAccessTokenBody extends Equatable {
  @JsonKey(name: 'refresh_token')
  final String refreshToken;
  @JsonKey(name: 'client_id')
  final String clientId;
  @JsonKey(name: 'client_secret')
  final String clientSecret;
  @JsonKey(name: 'redirect_uri')
  final String redirectUri;
  @JsonKey(name: 'grant_type')
  final String grantType;

  RefreshAccessTokenBody(
      {@required this.refreshToken,
      this.clientId,
      this.clientSecret,
      @required this.redirectUri,
      this.grantType = 'refresh_token'});

  factory RefreshAccessTokenBody.fromJson(Map<String, dynamic> json) =>
      _$RefreshAccessTokenBodyFromJson(json);

  Map<String, dynamic> toJson() => _$RefreshAccessTokenBodyToJson(this);

  @override
  List<Object> get props => [
        this.refreshToken,
        this.clientId,
        this.clientSecret,
        this.redirectUri,
        this.grantType
      ];
}
