import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

part 'revoke_access_token_body.g.dart';

@JsonSerializable()
class RevokeAccessTokenBody extends Equatable {
  @JsonKey(name: 'token')
  final String token;
  @JsonKey(name: 'client_id')
  final String clientId;
  @JsonKey(name: 'client_secret')
  final String clientSecret;

  RevokeAccessTokenBody(
      {@required this.token, this.clientId, this.clientSecret});

  factory RevokeAccessTokenBody.fromJson(Map<String, dynamic> json) =>
      _$RevokeAccessTokenBodyFromJson(json);

  Map<String, dynamic> toJson() => _$RevokeAccessTokenBodyToJson(this);

  @override
  List<Object> get props => [this.token, this.clientId, this.clientSecret];
}
