import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';

part 'sharing_text.g.dart';

@JsonSerializable()
class SharingText extends Equatable {
  @JsonKey(name: 'watching')
  final String watching;
  @JsonKey(name: 'watched')
  final String watched;
  @JsonKey(name: 'rated')
  final String rated;

  SharingText({this.watching, this.watched, this.rated});

  factory SharingText.fromJson(Map<String, dynamic> json) =>
      _$SharingTextFromJson(json);

  Map<String, dynamic> toJson() => _$SharingTextToJson(this);

  @override
  List<Object> get props => [this.watching, this.watched, this.rated];
}
