import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
import 'models.dart';

part 'synch_collection_body.g.dart';

@JsonSerializable()
class SynchCollectionBody extends Equatable {
  @JsonKey(name: 'movies')
  final List<TraktMediaItem> movies;
  @JsonKey(name: 'shows')
  final List<TraktMediaItem> shows;
  @JsonKey(name: 'seasons')
  final List<TraktMediaItem> seasons;
  @JsonKey(name: 'episodes')
  final List<TraktMediaItem> episodes;
  @JsonKey(name: 'people')
  final List<TraktMediaItem> people;

  SynchCollectionBody(
      {this.movies = const [],
      this.shows = const [],
      this.seasons = const [],
      this.episodes = const [],
      this.people = const []});

  factory SynchCollectionBody.fromJson(Map<String, dynamic> json) =>
      _$SynchCollectionBodyFromJson(json);

  Map<String, dynamic> toJson() => _$SynchCollectionBodyToJson(this);

  @override
  List<Object> get props =>
      [this.movies, this.shows, this.seasons, this.episodes, this.people];
}
