import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
import 'models.dart';

part 'user.g.dart';

@JsonSerializable()
class User extends Equatable {
  @JsonKey(name: 'username')
  final String username;
  @JsonKey(name: 'private')
  final bool private;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'vip')
  final bool vip;
  @JsonKey(name: 'vip_ep')
  final bool vipEp;
  @JsonKey(name: 'ids')
  final Ids ids;
  @JsonKey(name: 'joined_at')
  final String joinedAt;
  @JsonKey(name: 'location')
  final String location;
  @JsonKey(name: 'about')
  final String about;
  @JsonKey(name: 'gender')
  final String gender;
  @JsonKey(name: 'age')
  final int age;
  @JsonKey(name: 'images')
  final Images images;
  @JsonKey(name: 'vip_og')
  final bool vipOg;
  @JsonKey(name: 'vip_years')
  final int vipYears;
  @JsonKey(name: 'vip_cover_image')
  final String vipCoverImage;

  User(
      {this.username,
      this.private,
      this.name,
      this.vip,
      this.vipEp,
      this.ids,
      this.joinedAt,
      this.location,
      this.about,
      this.gender,
      this.age,
      this.images,
      this.vipOg,
      this.vipYears,
      this.vipCoverImage});

  factory User.fromJson(Map<String, dynamic> json) => _$UserFromJson(json);

  Map<String, dynamic> toJson() => _$UserToJson(this);

  @override
  List<Object> get props => [
        this.username,
        this.private,
        this.name,
        this.vip,
        this.vipEp,
        this.ids,
        this.joinedAt,
        this.location,
        this.about,
        this.gender,
        this.age,
        this.images,
        this.vipOg,
        this.vipYears,
        this.vipCoverImage
      ];
}
