import 'package:dio/dio.dart';
import '../dio_middleware/interceptors/trakt_interceptor.dart';
import '../trakt.dart';

Dio getTraktDioClient(Trakt trakt, String baseUrl) {
  Dio dioClient = Dio(BaseOptions(baseUrl: baseUrl));

  // Add logger incase user instantiated the logger
  if (trakt.logger != null) dioClient.interceptors.add(trakt.logger);

  dioClient.interceptors.addAll([TraktApiInterceptor(trakt)]);
  return dioClient;
}
