import 'package:dio/dio.dart';
import '../trakt.dart';
import '../utils/utils.dart';

import 'v2/export.dart';

class V2 {
  final Trakt _trakt;
  final int _apiVersion = 2;
  Auth auth;
  Calendars calendars;
  Certifications certifications;
  Checkin checkin;
  Comments comments;
  Countries countries;
  Episodes episodes;
  Genres genres;
  Languages languages;
  Lists lists;
  Movies movies;
  Networks networks;
  People people;
  Recommendations recommendations;
  Scrobble scrobble;
  Search search;
  Seasons seasons;
  Shows shows;
  Synch synch;
  Users users;

  V2(this._trakt) {
    var apiBaseUrl = '${_trakt.apiConfiguration.baseUrl}';
    // set api Version in to configuration
    this._trakt.apiConfiguration.apiVersion = '${this._apiVersion}';
    Dio dioClient = getTraktDioClient(this._trakt, apiBaseUrl);

    auth = Auth(dioClient, baseUrl: apiBaseUrl);
    calendars = Calendars(dioClient, baseUrl: apiBaseUrl);
    certifications = Certifications(dioClient, baseUrl: apiBaseUrl);
    checkin = Checkin(dioClient, baseUrl: apiBaseUrl);
    comments = Comments(dioClient, baseUrl: apiBaseUrl);
    countries = Countries(dioClient, baseUrl: apiBaseUrl);
    episodes = Episodes(dioClient, baseUrl: apiBaseUrl);
    genres = Genres(dioClient, baseUrl: apiBaseUrl);
    languages = Languages(dioClient, baseUrl: apiBaseUrl);
    lists = Lists(dioClient, baseUrl: apiBaseUrl);
    movies = Movies(dioClient, baseUrl: apiBaseUrl);
    networks = Networks(dioClient, baseUrl: apiBaseUrl);
    people = People(dioClient, baseUrl: apiBaseUrl);
    recommendations = Recommendations(dioClient, baseUrl: apiBaseUrl);
    scrobble = Scrobble(dioClient, baseUrl: apiBaseUrl);
    search = Search(dioClient, baseUrl: apiBaseUrl);
    seasons = Seasons(dioClient, baseUrl: apiBaseUrl);
    shows = Shows(dioClient, baseUrl: apiBaseUrl);
    synch = Synch(dioClient, baseUrl: apiBaseUrl);
    users = Users(dioClient, baseUrl: apiBaseUrl);
  }
}
