// GENERATED CODE - DO NOT MODIFY BY HAND

part of 'auth.dart';

// **************************************************************************
// RetrofitGenerator
// **************************************************************************

class _Auth implements Auth {
  _Auth(this._dio, {this.baseUrl}) {
    ArgumentError.checkNotNull(_dio, '_dio');
  }

  final Dio _dio;

  String baseUrl;

  @override
  Future<HttpResponse<dynamic>> authorizeApplication(responseType, redirectUri,
      {clientId,
      state,
      additionalQueries,
      contentType,
      traktApiVersion,
      traktApiKey}) async {
    ArgumentError.checkNotNull(responseType, 'responseType');
    ArgumentError.checkNotNull(redirectUri, 'redirectUri');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'response_type': responseType,
      r'redirect_uri': redirectUri,
      r'client_id': clientId,
      r'state': state
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/oauth/authorize',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getAccessTokenFromOAuth(
      getAccessTokenFromOauthBody,
      {contentType,
      traktApiVersion,
      traktApiKey,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(
        getAccessTokenFromOauthBody, 'getAccessTokenFromOauthBody');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(getAccessTokenFromOauthBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/oauth/token',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> refreshAccessToken(refreshAccessTokenBody,
      {contentType,
      traktApiVersion,
      traktApiKey,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(
        refreshAccessTokenBody, 'refreshAccessTokenBody');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(refreshAccessTokenBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/oauth/token',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> revokeAccessToken(revokeAccessTokenBody,
      {contentType,
      traktApiVersion,
      traktApiKey,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(revokeAccessTokenBody, 'revokeAccessTokenBody');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(revokeAccessTokenBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/oauth/revoke',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getDeviceCode(getDeviceCodeBody,
      {contentType,
      traktApiVersion,
      traktApiKey,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(getDeviceCodeBody, 'getDeviceCodeBody');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(getDeviceCodeBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/oauth/device/code',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getAccessTokenFromDeviceCode(
      getAccessTokenFromDeviceCodeBody,
      {contentType,
      traktApiVersion,
      traktApiKey,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(
        getAccessTokenFromDeviceCodeBody, 'getAccessTokenFromDeviceCodeBody');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(
        getAccessTokenFromDeviceCodeBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/oauth/device/code',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }
}
