import 'package:dio/dio.dart';
import 'package:retrofit/retrofit.dart';
import '../../../trakt.dart';

part 'certifications.g.dart';

@RestApi()
abstract class Certifications {
  factory Certifications(Dio dio, {String baseUrl}) = _Certifications;

  @GET('/certifications/{type}')
  Future<HttpResponse<dynamic>> getCertifications(
    @Path('type') AlternateMediaType alternateMediaType, {
    @Query('client_id') String clientId,
    @Header('content-type') String contentType,
    @Header('trakt-api-version') String traktApiVersion,
    @Header('trakt-api-key') String traktApiKey,
    @Header('Authorization') String accessToken,
    @Queries() Map<String, dynamic> additionalQueries,
  });
}
