import 'package:dio/dio.dart';
import 'package:retrofit/retrofit.dart';
import '../../../trakt.dart';

part 'genres.g.dart';

@RestApi()
abstract class Genres {
  factory Genres(Dio dio, {String baseUrl}) = _Genres;

  @GET('/genres/{type}')
  Future<HttpResponse<dynamic>> getGenres(
    @Path('type') AlternateMediaType alternateMediaType, {
    @Query('client_id') String clientId,
    @Header('content-type') String contentType,
    @Header('trakt-api-version') String traktApiVersion,
    @Header('trakt-api-key') String traktApiKey,
    @Header('Authorization') String accessToken,
    @Queries() Map<String, dynamic> additionalQueries,
  });
}
