import 'package:dio/dio.dart';
import 'package:retrofit/retrofit.dart';

part 'recommendations.g.dart';

@RestApi()
abstract class Recommendations {
  factory Recommendations(Dio dio, {String baseUrl}) = _Recommendations;

  @GET('/recommendations/movies')
  Future<HttpResponse<dynamic>> getMovies({
    @Query('client_id') String clientId,
    @Header('content-type') String contentType,
    @Header('trakt-api-version') String traktApiVersion,
    @Header('trakt-api-key') String traktApiKey,
    @Header('Authorization') String accessToken,
    @Query('ignore_collected') bool ignoreCollected,
    @Query('extended') String extendedInfo,
    @Query('page') int page,
    @Query('limit') int limit,
    @Queries() Map<String, dynamic> additionalQueries,
  });

  @DELETE('/recommendations/movies/{id}')
  Future<HttpResponse<dynamic>> hideMovie(
    @Path('id') String movieId, {
    @Query('client_id') String clientId,
    @Header('content-type') String contentType,
    @Header('trakt-api-version') String traktApiVersion,
    @Header('trakt-api-key') String traktApiKey,
    @Header('Authorization') String accessToken,
    @Queries() Map<String, dynamic> additionalQueries,
  });

  @GET('/recommendations/shows')
  Future<HttpResponse<dynamic>> getShows({
    @Query('client_id') String clientId,
    @Header('content-type') String contentType,
    @Header('trakt-api-version') String traktApiVersion,
    @Header('trakt-api-key') String traktApiKey,
    @Header('Authorization') String accessToken,
    @Query('ignore_collected') bool ignoreCollected,
    @Query('extended') String extendedInfo,
    @Query('page') int page,
    @Query('limit') int limit,
    @Queries() Map<String, dynamic> additionalQueries,
  });

  @DELETE('/recommendations/shows/{id}')
  Future<HttpResponse<dynamic>> hideShow(
    @Path('id') String movieId, {
    @Query('client_id') String clientId,
    @Header('content-type') String contentType,
    @Header('trakt-api-version') String traktApiVersion,
    @Header('trakt-api-key') String traktApiKey,
    @Header('Authorization') String accessToken,
    @Queries() Map<String, dynamic> additionalQueries,
  });
}
