import 'package:dio/dio.dart';
import 'package:retrofit/retrofit.dart';
import '../../../trakt.dart';

part 'scrobble.g.dart';

@RestApi()
abstract class Scrobble {
  factory Scrobble(Dio dio, {String baseUrl}) = _Scrobble;

  @POST('/scrobble/start')
  Future<HttpResponse<dynamic>> start(
    @Body() ScrobbleBody scrobbleBody, {
    @Query('client_id') String clientId,
    @Header('content-type') String contentType,
    @Header('trakt-api-version') String traktApiVersion,
    @Header('trakt-api-key') String traktApiKey,
    @Header('Authorization') String accessToken,
    @Queries() Map<String, dynamic> additionalQueries,
  });

  @POST('/scrobble/pause')
  Future<HttpResponse<dynamic>> pause(
    @Body() ScrobbleBody scrobbleBody, {
    @Query('client_id') String clientId,
    @Header('content-type') String contentType,
    @Header('trakt-api-version') String traktApiVersion,
    @Header('trakt-api-key') String traktApiKey,
    @Header('Authorization') String accessToken,
    @Queries() Map<String, dynamic> additionalQueries,
  });

  @POST('/scrobble/stop')
  Future<HttpResponse<dynamic>> stop(
    @Body() ScrobbleBody scrobbleBody, {
    @Query('client_id') String clientId,
    @Header('content-type') String contentType,
    @Header('trakt-api-version') String traktApiVersion,
    @Header('trakt-api-key') String traktApiKey,
    @Header('Authorization') String accessToken,
    @Queries() Map<String, dynamic> additionalQueries,
  });
}
