// GENERATED CODE - DO NOT MODIFY BY HAND

part of 'synch.dart';

// **************************************************************************
// RetrofitGenerator
// **************************************************************************

class _Synch implements Synch {
  _Synch(this._dio, {this.baseUrl}) {
    ArgumentError.checkNotNull(_dio, '_dio');
  }

  final Dio _dio;

  String baseUrl;

  @override
  Future<HttpResponse<dynamic>> getLastActivities(
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/sync/last_activities',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getPlaybackProgress(
      {alternateMediaType,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      startAt,
      endAt,
      page,
      limit,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'start_at': startAt,
      r'end_at': endAt,
      r'page': page,
      r'limit': limit,
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result =
        await _dio.request('/sync/playback/${alternateMediaType?.toJson()}',
            queryParameters: queryParameters,
            options: RequestOptions(
                method: 'GET',
                headers: <String, dynamic>{
                  r'content-type': contentType,
                  r'trakt-api-version': traktApiVersion,
                  r'trakt-api-key': traktApiKey,
                  r'Authorization': accessToken
                },
                extra: _extra,
                contentType: contentType,
                baseUrl: baseUrl),
            data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> removePlayback(
      {playbackId,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/sync/playback/$playbackId',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'DELETE',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getCollectedItems(
      {alternateMediaType,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result =
        await _dio.request('/sync/collection/${alternateMediaType?.toJson()}',
            queryParameters: queryParameters,
            options: RequestOptions(
                method: 'GET',
                headers: <String, dynamic>{
                  r'content-type': contentType,
                  r'trakt-api-version': traktApiVersion,
                  r'trakt-api-key': traktApiKey,
                  r'Authorization': accessToken
                },
                extra: _extra,
                contentType: contentType,
                baseUrl: baseUrl),
            data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> addToCollection(
      {synchCollectionBody,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchCollectionBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/sync/collection',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> removeFromCollection(
      {synchCollectionBody,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchCollectionBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/sync/collection/remove',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getWatchedItems(
      {alternateMediaType,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result =
        await _dio.request('/sync/watched/${alternateMediaType?.toJson()}',
            queryParameters: queryParameters,
            options: RequestOptions(
                method: 'GET',
                headers: <String, dynamic>{
                  r'content-type': contentType,
                  r'trakt-api-version': traktApiVersion,
                  r'trakt-api-key': traktApiKey,
                  r'Authorization': accessToken
                },
                extra: _extra,
                contentType: contentType,
                baseUrl: baseUrl),
            data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getHistory(
      {alternateMediaType,
      mediaId,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      startAt,
      endAt,
      page,
      limit,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'start_at': startAt,
      r'end_at': endAt,
      r'page': page,
      r'limit': limit,
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request(
        '/sync/history/${alternateMediaType?.toJson()}/$mediaId',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> addToHistory(
      {synchHistoryBody,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchHistoryBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/sync/history',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> removeFromHistory(
      {synchHistoryBody,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchHistoryBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/sync/history/remove',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getRatings(
      {alternateMediaType,
      rating,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      startAt,
      endAt,
      page,
      limit,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'start_at': startAt,
      r'end_at': endAt,
      r'page': page,
      r'limit': limit,
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request(
        '/sync/ratings/${alternateMediaType?.toJson()}/$rating',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> addRatings(
      {synchCollectionBody,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchCollectionBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/sync/ratings',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> remoteRatings(
      {synchCollectionBody,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchCollectionBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/sync/ratings/remove',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getWatchlist(
      {alternateMediaType,
      listSortBy,
      rating,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      startAt,
      endAt,
      page,
      limit,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'start_at': startAt,
      r'end_at': endAt,
      r'page': page,
      r'limit': limit,
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request(
        '/sync/watchlist/${alternateMediaType?.toJson()}/${listSortBy?.toJson()}',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> addToWatchlist(
      {synchCollectionBody,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchCollectionBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/sync/watchlist',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> removeFromWatchlist(
      {synchCollectionBody,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchCollectionBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/sync/watchlist/remove',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getPersonalRecommendations(
      {alternateMediaType,
      listSortBy,
      rating,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      startAt,
      endAt,
      page,
      limit,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'start_at': startAt,
      r'end_at': endAt,
      r'page': page,
      r'limit': limit,
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request(
        '/sync/recommendations/${alternateMediaType?.toJson()}/${listSortBy?.toJson()}',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> addToPersonalRecommendations(
      {synchCollectionBody,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchCollectionBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/sync/recommendations',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> removeFromPersonalRecommendations(
      {synchCollectionBody,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchCollectionBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/sync/recommendations/remove',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }
}
