// GENERATED CODE - DO NOT MODIFY BY HAND

part of 'users.dart';

// **************************************************************************
// RetrofitGenerator
// **************************************************************************

class _Users implements Users {
  _Users(this._dio, {this.baseUrl}) {
    ArgumentError.checkNotNull(_dio, '_dio');
  }

  final Dio _dio;

  String baseUrl;

  @override
  Future<HttpResponse<dynamic>> getSettings(
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/settings',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getPendingFollowingRequests(
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/requests/following',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getPendingFollowerRequests(
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/requests',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> approveFollowerRequest(requestId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(requestId, 'requestId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/requests/$requestId',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> denyFollowerRequest(requestId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(requestId, 'requestId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/requests/$requestId',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'DELETE',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getHiddenItems(userSection,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      traktMediaItemType,
      clientId,
      page,
      limit,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userSection, 'userSection');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'type': traktMediaItemType?.toJson(),
      r'client_id': clientId,
      r'page': page,
      r'limit': limit,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/hidden/$userSection',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> hideItemsInSection(userSection,
      {synchCollectionBody,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userSection, 'userSection');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchCollectionBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/users/hidden/$userSection',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> unhideItemsInSection(
      {synchCollectionBody,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchCollectionBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/users/hidden/{section}/remove',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getLiked(
      {userLikesType,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      page,
      limit,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'page': page,
      r'limit': limit,
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/likes/$userLikesType',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getProfile(userId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getCollected(userId,
      {alternateMediaType,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request(
        '/users/$userId/collection/${alternateMediaType?.toJson()}',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getComments(userId,
      {commentType,
      alternateMediaType,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      includeReplies,
      clientId,
      page,
      limit,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'include_replies': includeReplies,
      r'client_id': clientId,
      r'page': page,
      r'limit': limit,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request(
        '/users/$userId/comments/${commentType?.toJson()}/${alternateMediaType?.toJson()}',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getLists(userId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId/lists',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> addList(userId, traktMediaItem,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(traktMediaItem, 'traktMediaItem');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(traktMediaItem?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/users/$userId/lists',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> reorderLists(userId, mediaItemReorderBody,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(mediaItemReorderBody, 'mediaItemReorderBody');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(mediaItemReorderBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/users/$userId/lists/reorder',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getList(userId, listId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(listId, 'listId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId/lists/$listId',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> updateList(userId, listId, traktMediaItem,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(listId, 'listId');
    ArgumentError.checkNotNull(traktMediaItem, 'traktMediaItem');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(traktMediaItem?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/users/$userId/lists/$listId',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'PUT',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> deleteList(userId, listId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(listId, 'listId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId/lists/$listId',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'DELETE',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getListLikes(userId, listId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      page,
      limit,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(listId, 'listId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'page': page,
      r'limit': limit
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId/lists/$listId/likes',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> likeList(userId, listId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(listId, 'listId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId/lists/$listId/like',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> unlikeList(userId, listId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(listId, 'listId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId/lists/$listId/like',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'DELETE',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getItems(userId, listId,
      {traktMediaItemType,
      clientId,
      page,
      limit,
      extendedInfo,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      additionalQueries,
      listSortBy,
      listSortHow}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(listId, 'listId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'page': page,
      r'limit': limit,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request(
        '/users/$userId/lists/$listId/items/${traktMediaItemType?.toJson()}',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken,
              r'X-Sort-By': listSortBy?.toJson(),
              r'X-Sort-How': listSortHow?.toJson(),
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> addItemsToList(
      userId, listId, synchCollectionBody,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(listId, 'listId');
    ArgumentError.checkNotNull(synchCollectionBody, 'synchCollectionBody');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchCollectionBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result = await _dio.request('/users/$userId/lists/$listId/items',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> remoteItemsFromList(
      userId, listId, synchCollectionBody,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(listId, 'listId');
    ArgumentError.checkNotNull(synchCollectionBody, 'synchCollectionBody');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(synchCollectionBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result =
        await _dio.request('/users/$userId/lists/$listId/items/remove',
            queryParameters: queryParameters,
            options: RequestOptions(
                method: 'POST',
                headers: <String, dynamic>{
                  r'content-type': contentType,
                  r'trakt-api-version': traktApiVersion,
                  r'trakt-api-key': traktApiKey,
                  r'Authorization': accessToken
                },
                extra: _extra,
                contentType: contentType,
                baseUrl: baseUrl),
            data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> reorderListItems(
      userId, listId, mediaItemReorderBody,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(listId, 'listId');
    ArgumentError.checkNotNull(mediaItemReorderBody, 'mediaItemReorderBody');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    _data.addAll(mediaItemReorderBody?.toJson() ?? <String, dynamic>{});
    _data.removeWhere((k, v) => v == null);
    final _result =
        await _dio.request('/users/$userId/lists/$listId/items/reorder',
            queryParameters: queryParameters,
            options: RequestOptions(
                method: 'POST',
                headers: <String, dynamic>{
                  r'content-type': contentType,
                  r'trakt-api-version': traktApiVersion,
                  r'trakt-api-key': traktApiKey,
                  r'Authorization': accessToken
                },
                extra: _extra,
                contentType: contentType,
                baseUrl: baseUrl),
            data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getListComments(
      userId, listId, listCommentsSortBy,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      page,
      limit,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(listId, 'listId');
    ArgumentError.checkNotNull(listCommentsSortBy, 'listCommentsSortBy');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'page': page,
      r'limit': limit,
      r'client_id': clientId
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request(
        '/users/$userId/lists/$listId/comments/${listCommentsSortBy?.toJson()}',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> followUser(userId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId/follow',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'POST',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> unfollowUser(userId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId/follow',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'DELETE',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getAllFollowers(userId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId/followers',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getAllFollowing(userId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId/following',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getAllFriends(userId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId/friends',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getHistory(userId,
      {alternateMediaType,
      itemId,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      startAt,
      endAt,
      page,
      limit,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'start_at': startAt,
      r'end_at': endAt,
      r'page': page,
      r'limit': limit,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request(
        '/users/$userId/history/${alternateMediaType?.toJson()}/$itemId',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getRatings(userId,
      {alternateMediaType,
      rating,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      page,
      limit,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'page': page,
      r'limit': limit,
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request(
        '/users/$userId/ratings/${alternateMediaType?.toJson()}/$rating',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getWatchlist(userId,
      {alternateMediaType,
      listSortBy,
      rating,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      page,
      limit,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'page': page,
      r'limit': limit,
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request(
        '/users/$userId/watchlist/${alternateMediaType?.toJson()}/${listSortBy?.toJson()}',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getPersonalRecommendations(userId,
      {alternateMediaType,
      listSortBy,
      rating,
      contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      page,
      limit,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'page': page,
      r'limit': limit,
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request(
        '/users/$userId/recommendations/${alternateMediaType?.toJson()}/${listSortBy?.toJson()}',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getAllWatching(userId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId/watching',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getAllWatched(userId, alternateMediaType,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      extendedInfo,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    ArgumentError.checkNotNull(alternateMediaType, 'alternateMediaType');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{
      r'client_id': clientId,
      r'extended': extendedInfo
    };
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request(
        '/users/$userId/watched/${alternateMediaType?.toJson()}',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }

  @override
  Future<HttpResponse<dynamic>> getStats(userId,
      {contentType,
      traktApiVersion,
      traktApiKey,
      accessToken,
      clientId,
      additionalQueries}) async {
    ArgumentError.checkNotNull(userId, 'userId');
    const _extra = <String, dynamic>{};
    final queryParameters = <String, dynamic>{r'client_id': clientId};
    queryParameters.addAll(additionalQueries ?? <String, dynamic>{});
    queryParameters.removeWhere((k, v) => v == null);
    final _data = <String, dynamic>{};
    final _result = await _dio.request('/users/$userId/stats',
        queryParameters: queryParameters,
        options: RequestOptions(
            method: 'GET',
            headers: <String, dynamic>{
              r'content-type': contentType,
              r'trakt-api-version': traktApiVersion,
              r'trakt-api-key': traktApiKey,
              r'Authorization': accessToken
            },
            extra: _extra,
            contentType: contentType,
            baseUrl: baseUrl),
        data: _data);
    final value = _result.data;
    final httpResponse = HttpResponse(value, _result);
    return httpResponse;
  }
}
